View a markdown version of this page

InsertAdBreak - Amazon IVS

InsertAdBreak

Inserts an ad marker in the playlist for the specified channel and duration using the ad configuration associated with the channel.

Note: AWS Elemental MediaTailor (EMT), the service that handles ad requests, provides CloudWatch metrics to help you monitor the success or failure of each InsertAdBreak operation. See Monitoring AWS Elemental MediaTailor with Amazon CloudWatch metrics in the AWS Elemental MediaTailor User Guide for details on available metrics.

Request Syntax

POST /InsertAdBreak HTTP/1.1 Content-type: application/json { "channelArn": "string", "durationSeconds": number }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

channelArn

ARN of the channel into which the ad break is inserted.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 128.

Pattern: arn:aws:ivs:[a-z0-9-]+:[0-9]+:channel/[a-zA-Z0-9-]+

Required: Yes

durationSeconds

Duration of the ad break, in seconds.

Type: Integer

Valid Range: Minimum value of 1. Maximum value of 300.

Required: Yes

Response Syntax

HTTP/1.1 200 Content-type: application/json { "adBreakId": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

adBreakId

Unique identifier for the ad break that was inserted into the playlist.

Type: String

Length Constraints: Fixed length of 12.

Pattern: [a-zA-Z0-9]+

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

accessControlAllowOrigin

accessControlExposeHeaders

cacheControl

contentSecurityPolicy

exceptionMessage

User does not have sufficient access to perform this action.

strictTransportSecurity

xAmznErrorType

xContentTypeOptions

xFrameOptions

HTTP Status Code: 403

ChannelNotBroadcasting

accessControlAllowOrigin

accessControlExposeHeaders

cacheControl

contentSecurityPolicy

exceptionMessage

The stream is offline for the given channel ARN.

strictTransportSecurity

xAmznErrorType

xContentTypeOptions

xFrameOptions

HTTP Status Code: 404

ConflictException

accessControlAllowOrigin

accessControlExposeHeaders

cacheControl

contentSecurityPolicy

exceptionMessage

Updating or deleting a resource can cause an inconsistent state.

strictTransportSecurity

xAmznErrorType

xContentTypeOptions

xFrameOptions

HTTP Status Code: 409

InternalServerException

accessControlAllowOrigin

accessControlExposeHeaders

cacheControl

contentSecurityPolicy

exceptionMessage

Unexpected error during processing of request.

strictTransportSecurity

xAmznErrorType

xContentTypeOptions

xFrameOptions

HTTP Status Code: 500

ResourceNotFoundException

accessControlAllowOrigin

accessControlExposeHeaders

cacheControl

contentSecurityPolicy

exceptionMessage

Request references a resource which does not exist.

strictTransportSecurity

xAmznErrorType

xContentTypeOptions

xFrameOptions

HTTP Status Code: 404

ThrottlingException

accessControlAllowOrigin

accessControlExposeHeaders

cacheControl

contentSecurityPolicy

exceptionMessage

Request was denied due to request throttling.

strictTransportSecurity

xAmznErrorType

xContentTypeOptions

xFrameOptions

HTTP Status Code: 429

ValidationException

accessControlAllowOrigin

accessControlExposeHeaders

cacheControl

contentSecurityPolicy

exceptionMessage

The input fails to satisfy the constraints specified by an AWS service.

strictTransportSecurity

xAmznErrorType

xContentTypeOptions

xFrameOptions

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: